### Method

# Adw TabViewinsert_pinned

#### Declaration [src]

    AdwTabPage*
    adw_tab_view_insert_pinned (
      AdwTabView* self,
      GtkWidget* child,
      int position
    )

#### Description [src]

Inserts a pinned page at `position`.

It’s an error to try to insert a pinned page after a non-pinned page, in that case `adw_tab_view_insert()` should be used instead.

#### Parameters

`child`

  Type: `GtkWidget`

  A widget to add.

  The data is owned by the caller of the method.

`position`

  Type: `int`

  The position to add `child` at, starting from 0

#### Return value

Type: `AdwTabPage`

The page object representing `child`.

The returned data is owned by the instance.